System.Web.Services 2.0.0.0 System.Configuration.ConfigurationElement

The timeout value is checked on every call to and .

Configures a timeout that helps mitigate denial of service attacks by terminating any request that takes longer than the property value.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the provided value.

  The value of the timeout period.
  2.0.0.0
- Constructor
  To be added.

  Gets or sets the timeout period used to determine whether to terminate requests to mitigate against denial of service attacks.

  The time to wait before terminating requests to and .
  Whether to throw an exception if the serializer encounters elements or attributes that were not in the original schema. For details, see the property.
  2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("strict", DefaultValue=false)
  System.Boolean To be added.

  Set the property to true in order to help debug interoperation scenarios. In general, when the class meets an element or attribute that it does not expect it raises an event and continues processing. (The same is true when the , , or properties are used but data is sent out of order.) Setting the property to true instructs the Web services run time to handle that event and throw a that contains a list of the expected elements and attributes.

  Because exceptions are not thrown for all unexpected elements and attributes, the property should not be relied upon except as a debugging aid. For example, unexpected xml:lang and xml:space attributes may not cause an exception.

  Gets or sets a value that indicates whether to throw an exception if the serializer encounters unexpected elements or attributes.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("readTimeout", DefaultValue=2147483647)
  System.ComponentModel.TypeConverter(typeof(System.Configuration.InfiniteIntConverter))
  System.Int32 To be added. To be added.

  Gets or sets the timeout period used to determine whether to terminate requests to mitigate against denial of service attacks.

  2.0.0.0